--- Makefile	2017-03-11 14:44:11.197581304 +0000
+++ Makefile_withfix	2017-03-11 13:47:49.913788354 +0000
@@ -14,6 +14,7 @@
 
 release_hdr := $(shell sh -c './mkreleasehdr.sh')
 uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')
+uname_M := $(shell sh -c 'uname -m 2>/dev/null || echo not')
 OPTIMIZATION?=-O2
 DEPENDENCY_TARGETS=hiredis linenoise lua geohash-int
 
@@ -89,6 +90,13 @@
 endif
 endif
 endif
+
+# Architecture specific flags
+ifneq (,$(filter $(uname_M),arm aarch64))
+	# arm architecture
+	FINAL_CFLAGS+= -funwind-tables
+endif
+
 # Include paths to dependencies
 FINAL_CFLAGS+= -I../deps/hiredis -I../deps/linenoise -I../deps/lua/src
 
